Index: trunk/calendar/inc/class.boicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.boicalendar.inc.php	(revision 3736)
+++ trunk/calendar/inc/class.boicalendar.inc.php	(revision 5132)
@@ -1,83 +1,82 @@
 <?php
-  /**************************************************************************\
-  * eGroupWare - iCalendar Parser                                            *
-  * http://www.egroupware.org                                                *
-  * Written by Mark Peters <skeeter@phpgroupware.org>                        *
-  * --------------------------------------------                             *
-  *  This program is free software; you can redistribute it and/or modify it *
-  *  under the terms of the GNU General Public License as published by the   *
-  *  Free Software Foundation; either version 2 of the License, or (at your  *
-  *  option) any later version.                                              *
-  \**************************************************************************/
-
-
-	define('FOLD_LENGTH',75);
-
-	define('VEVENT',1);
-	define('VTODO',2);
-
-	define('NONE',0);
-	define('CHAIR',1);
-	define('REQ_PARTICIPANT',2);
-	define('OPT_PARTICIPANT',3);
-	define('NON_PARTICIPANT',4);
-
-	define('INDIVIDUAL',1);
-	define('GROUP',2);
-	define('RESOURCE',4);
-	define('ROOM',8);
-	define('UNKNOWN',16);
-
-	define('NEEDS_ACTION',0);
-	define('ACCEPTED',1);
-	define('DECLINED',2);
-	define('TENTATIVE',3);
-	define('DELEGATED',4);
-	define('COMPLETED',5);
-	define('IN_PROCESS',6);
-
-	/*
-	* Class
-	*/
-	define('_PRIVATE',0);
-	define('_PUBLIC',1);
-	define('_CONFIDENTIAL',3);
-
-	/*
-	* Transparency
-	*/
-	define('TRANSPARENT',0);
-	define('OPAQUE',1);
-
-	/*
-	* Frequency
-	*/
-	define('SECONDLY',1);
-	define('MINUTELY',2);
-	define('HOURLY',3);
-	define('DAILY',4);
-	define('WEEKLY',5);
-	define('MONTHLY',6);
-	define('YEARLY',7);
-
-	define('FREE',0);
-	define('BUSY',1);
-	define('BUSY_UNAVAILABLE',2);
-	define('BUSY_TENTATIVE',3);
-
-	define('THISANDPRIOR',0);
-	define('THISANDFUTURE',1);
-
-	define('START',0);
-	define('END',1);
-
-	define('_8BIT',0);
-	define('_BASE64',1);
-
-	define('OTHER',99);
-
-	class boicalendar
-	{
-		var $public_functions = array(
+
+/**************************************************************************\
+* eGroupWare - iCalendar Parser                                            *
+* http://www.egroupware.org                                                *
+* Written by Mark Peters <skeeter@phpgroupware.org>                        *
+* --------------------------------------------                             *
+*  This program is free software; you can redistribute it and/or modify it *
+*  under the terms of the GNU General Public License as published by the   *
+*  Free Software Foundation; either version 2 of the License, or (at your  *
+*  option) any later version.                                              *
+\**************************************************************************/
+
+define('FOLD_LENGTH', 75);
+
+define('VEVENT', 1);
+define('VTODO', 2);
+
+define('NONE', 0);
+define('CHAIR', 1);
+define('REQ_PARTICIPANT', 2);
+define('OPT_PARTICIPANT', 3);
+define('NON_PARTICIPANT', 4);
+
+define('INDIVIDUAL', 1);
+define('GROUP', 2);
+define('RESOURCE', 4);
+define('ROOM', 8);
+define('UNKNOWN', 16);
+
+define('NEEDS_ACTION', 0);
+define('ACCEPTED', 1);
+define('DECLINED', 2);
+define('TENTATIVE', 3);
+define('DELEGATED', 4);
+define('COMPLETED', 5);
+define('IN_PROCESS', 6);
+
+/*
+* Class
+*/
+define('_PRIVATE', 0);
+define('_PUBLIC', 1);
+define('_CONFIDENTIAL', 3);
+
+/*
+* Transparency
+*/
+define('TRANSPARENT', 0);
+define('OPAQUE', 1);
+
+/*
+* Frequency
+*/
+define('SECONDLY', 1);
+define('MINUTELY', 2);
+define('HOURLY', 3);
+define('DAILY', 4);
+define('WEEKLY', 5);
+define('MONTHLY', 6);
+define('YEARLY', 7);
+
+define('FREE', 0);
+define('BUSY', 1);
+define('BUSY_UNAVAILABLE', 2);
+define('BUSY_TENTATIVE', 3);
+
+define('THISANDPRIOR', 0);
+define('THISANDFUTURE', 1);
+
+define('START', 0);
+define('END', 1);
+
+define('_8BIT', 0);
+define('_BASE64', 1);
+
+define('OTHER', 99);
+
+class boicalendar {
+	var $public_functions = array (
 			'import' => True,
 			'export' => True,
@@ -87,11 +86,11 @@
 		var $ical;
 		var $line = 0;
-		var $event = Array();
-		var $todo = Array();
-		var $journal = Array();
-		var $freebusy = Array();
-		var $timezone = Array();
-		var $property = Array();
-		var $parameter = Array();
+	var $event = Array ();
+	var $todo = Array ();
+	var $journal = Array ();
+	var $freebusy = Array ();
+	var $timezone = Array ();
+	var $property = Array ();
+	var $parameter = Array ();
 		var $debug_str = False;
 		var $api = True;
